Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface MonitorSetting

    public interface MonitorSetting

server monitor is an interface to represent a clutered server states

Method Summary
`long` | `getClusterMonitorRefreshInterval()` get value for Cluster Monitor Refresh Interval
`int` | `getMonitorMaxMinuteSaveReport()` get value for Maximum time(minute) to Save Report
`int` | `getMonitorMaxNumberSaveReport()` get value for Maximum Number to Save Report
`int` | `getMonitorNumberSaveReport()` get value for Number to Save Report
`long` | `getMonitorOverTimeRunning()` get value for define Over Time Running
`long` | `getMonitorRefreshInterval()` get value for server Monitor Refresh Interval
`void` | `setClusterMonitorRefreshInterval(long ss)` set value for Cluster Monitor Refresh Interval
`void` | `setMonitorMaxMinuteSaveReport(int ss)` set value for Maximum time(minute) to Save Report
`void` | `setMonitorMaxNumberSaveReport(int ss)` set value for Maximum Number to Save Report
`void` | `setMonitorNumberSaveReport(int ss)` set value for Number to Save Report
`void` | `setMonitorOverTimeRunning(long ss)` set value for define Over Time Running
`void` | `setMonitorRefreshInterval(long ss)` set value for server Monitor Refresh Interval

Method Detail

### getClusterMonitorRefreshInterval

    long getClusterMonitorRefreshInterval()

  get value for Cluster Monitor Refresh Interval

  Returns:
    long value for Cluster Monitor Refresh Interval.

### getMonitorRefreshInterval

    long getMonitorRefreshInterval()

  get value for server Monitor Refresh Interval

  Returns:
    long value for server Monitor Refresh Interval.

### getMonitorOverTimeRunning

    long getMonitorOverTimeRunning()

  get value for define Over Time Running

  Returns:
    long value for define Over Time Running.

### getMonitorMaxNumberSaveReport

    int getMonitorMaxNumberSaveReport()

  get value for Maximum Number to Save Report

  Returns:
    int value for Maximum Number to Save Report.

### getMonitorNumberSaveReport

    int getMonitorNumberSaveReport()

  get value for Number to Save Report

  Returns:
    int value for Number to Save Report.

### getMonitorMaxMinuteSaveReport

    int getMonitorMaxMinuteSaveReport()

  get value for Maximum time(minute) to Save Report

  Returns:
    int value for Maximum time(minute) to Save Report.

### setClusterMonitorRefreshInterval

    void setClusterMonitorRefreshInterval(long ss)

  set value for Cluster Monitor Refresh Interval

### setMonitorRefreshInterval

    void setMonitorRefreshInterval(long ss)

  set value for server Monitor Refresh Interval

### setMonitorOverTimeRunning

    void setMonitorOverTimeRunning(long ss)

  set value for define Over Time Running

### setMonitorNumberSaveReport

    void setMonitorNumberSaveReport(int ss)

  set value for Number to Save Report

### setMonitorMaxNumberSaveReport

    void setMonitorMaxNumberSaveReport(int ss)

  set value for Maximum Number to Save Report

### setMonitorMaxMinuteSaveReport

    void setMonitorMaxMinuteSaveReport(int ss)

  set value for Maximum time(minute) to Save Report

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD